SiteCreator (Document Site Generator 2.0.1 API)
Date: 2007-09-17

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.docsite.ui
Class SiteCreator

    java.lang.Object
      javax.swing.SwingWorker<java.lang.Object,java.lang.Void>
          local.tomas.docsite.ui.SiteCreator

All Implemented Interfaces:
  java.lang.Runnable, java.util.concurrent.Future<java.lang.Object>, java.util.concurrent.RunnableFuture<java.lang.Object>

    public class SiteCreator

extends javax.swing.SwingWorker<java.lang.Object,java.lang.Void>

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.SwingWorker
`javax.swing.SwingWorker.StateValue`

Constructor Summary
`SiteCreator(Main main, java.lang.String descName, java.lang.String sourceName, java.lang.String targetName)`

Method Summary
`java.lang.Object` | `doInBackground()`
`protected void` | `done()`

Methods inherited from class javax.swing.SwingWorker
`addPropertyChangeListener, cancel, execute, firePropertyChange, get, get, getProgress, getPropertyChangeSupport, getState, isCancelled, isDone, process, publish, removePropertyChangeListener, run, setProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteCreator

    public SiteCreator(Main main,
                       java.lang.String descName,
                       java.lang.String sourceName,
                       java.lang.String targetName)

Method Detail

### doInBackground

    public java.lang.Object doInBackground()

  Specified by:
    `doInBackground` in class `javax.swing.SwingWorker<java.lang.Object,java.lang.Void>`

### done

    protected void done()

  Overrides:
    `done` in class `javax.swing.SwingWorker<java.lang.Object,java.lang.Void>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Tomas Teubner. All Rights Reserved.